# Bill validation response by bill id

#### <mark style="color:blue;">API for getting validation response, based on Bill id</mark>&#x20;

| Endpoint                                                                                                                     |
| ---------------------------------------------------------------------------------------------------------------------------- |
| **Request:**<mark style="color:blue;">**GET /couapp/bills/validate/byId?billId=c9670952-ebd7-487a-b6ea-49f2b4d4a718**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                         |
| -------------------------------------- | --------------------- | --------- | --------- | --------------------------------------------------- |
| \[ROOT] (No parent property / element) | billid                | M         | UUID      | Bill id can be get from the bill validate response. |

<mark style="color:blue;">**Response Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type    | Description                                                                                                                                    |
| ------------------------------------------ | --------------------- | --------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | billId                | M         | UUID         | Machine-generated Unique ID for a Bill, used internally                                                                                        |
|                                            | refId                 | M         | Alphanumeric | Code generated by the Biller Operating Unit that acquires the customer for every bill fetch transaction initiated and used across all messages |
|                                            | billerId              | M         | String       | Unique ID assigned to the Biller by NPCI Fixed length - 14                                                                                     |
|                                            | status                | M         | String       | Status of the Operation Possible values : BILL\_FETCH\_REQUESTED, BILL\_FETCH\_INITIATED, BILL\_FETCH\_SUCCESS, BILL\_FETCH\_FAILED            |
|                                            | actionType            | C         | String       | Type of Bill Payment. Possible Values: BILL\_FETCH QUICKPAY BILL\_VALIDATE                                                                     |
|                                            | userId                | M         | Alphanumeric | Agent id Fixed length - 20                                                                                                                     |
|                                            | creationDate          | M         | String       | ISO 8601 Timestamp for the Bill Creation date                                                                                                  |
|                                            | modifiedDate          | M         | String       | ISO 8601 Timestamp for the Bill Modification date                                                                                              |
|                                            | createdEpochDate      | M         | Numeric      | UNIX Epoch Timestamp for the Bill Creation date                                                                                                |
|                                            | modifiedEpochDate     | M         | Numeric      | UNIX Epoch Timestamp for the Bill Modification date                                                                                            |
| **billerResponse**                         | billId                | M         | String       | Machine-generated Unique ID for a Bill, used internally                                                                                        |
|                                            | amount                | M         | String       | Actual bill amount inclusive of all charges                                                                                                    |
|                                            | billDate              | M         | String       | This field denotes generation date of the bill                                                                                                 |
|                                            | billNumber            | M         | Numeric      | This field denotes the bill number of the bill fetch / payment message requested                                                               |
|                                            | billPeriod            | M         | String       | The bill period of the bill fetch / payment requested                                                                                          |
|                                            | custConvFee           | M         | String       | Customer convenience fee (CCF1) paid by the Customer Operating Unit                                                                            |
|                                            | couCustConvFee        | M         | String       | Customer convenience fee (CCF2), paid by the Customer to Customer Operating Unit                                                               |
|                                            | dueDate               | M         | String       | This field denotes due date of the bill                                                                                                        |
|                                            | customerName          | M         | String       | This field denotes due date of the bill                                                                                                        |
|                                            | amountOption          | M         | Boolean      | A flag indicating if the Biller supports Amount Options                                                                                        |
|                                            | tagList               | M         | String       | Amount Breakup Options eg:{"name": "Additional Charges", "value": "500"}                                                                       |
| **additionalInfo**                         | name                  | C         | String       | Name of the Additional Info Parameter                                                                                                          |
|                                            | value                 | C         | String       | Value of the Additional Info Parameter                                                                                                         |
| **customerParams**                         | name                  | C         | String       | Name of the Customer Parameter attribute                                                                                                       |
|                                            | value                 | C         | String       | Value of the Customer Parameter attribute                                                                                                      |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
{
"genericResponse": null,
"billId": "c9670952-ebd7-487a-b6ea-49f2b4d4a718", 
"refId": "ukpeZdOmtQCK4ByLFatdrWhtIiucPIXigYF", 
"billerId": "HUNG00000NATJL",
"status": "BILL_VALIDATE_SUCCESS",
"actionType": "VALIDATE_PAY", 
"userId": "FE41FE42BNK519012345",
"billerResponse": null, 
"additionalInfo": [], 
"customerParams": [
{
"name": "Mobile Number", 
"value": "8281970522",
"type": null
},
{
"name": "Email ID",
"value": "jithesh@digiledge.in", 
"type": null
},
{
"name": "Id",
"value": "2862", 
"type": null
}
],
"planInfoDaos": [],
"creationDate": "2021-12-09T10:27:57.889640", 
"modifiedDate": "2021-12-09T10:28:02.775484",
"createdEpochDate": 1639045677,
"modifiedEpochDate": 1639045682
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/bill-validation-response-by-bill-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
